Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.iface.tools.support
Class AbstractToolsAction<T extends ModelItem>

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIAction<T>
          com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction<T>

All Implemented Interfaces:
  SoapUIAction<T>, PropertyChangeNotifier

Direct Known Subclasses:
  Axis1XWSDL2JavaAction, Axis2WSDL2CodeAction, CXFAction, DotNetWsdlAction, GSoapAction, JaxbXjcAction, JBossWSConsumeAction, LoadTestRunnerAction, OracleWsaGenProxyAction, TcpMonAction, TestRunnerAction, WSCompileAction, WSIAnalyzeAction, WSImportAction, WSIValidateRequestAction, WSIValidateResponseAction, WSToolsJava2WsdlAction, WSToolsRegenerateJava2WsdlAction, WSToolsWsdl2JavaAction, XFireAction, XmlBeans2Action

    public abstract class AbstractToolsAction<T extends ModelItem>

extends AbstractSoapUIAction<T>

Abstract base class for Tool Actions

Author:
  Ole.Matzura

Nested Class Summary
`protected class` | `AbstractToolsAction.CloseAction`
`protected class` | `AbstractToolsAction.GenerateAction`
`static class` | `AbstractToolsAction.ShowIntegratedToolsSettingsAction`

Field Summary
`protected static java.lang.String` | `CACHED_WSDL`
`protected com.eviware.x.form.XFormDialog` | `dialog`
`protected static java.lang.String` | `JAVA_ARGS`
`protected static java.lang.String` | `TOOL_ARGS`
`protected java.lang.String` | `valuesSettingID`
`protected static java.lang.String` | `WSDL`

Fields inherited from interface com.eviware.soapui.support.action.SoapUIAction
`ENABLED_PROPERTY`

Constructor Summary
`AbstractToolsAction(java.lang.String name, java.lang.String description)`

Method Summary
`protected void` | `addJavaArgs(StringToStringMap values, ArgumentBuilder builder)`
`protected void` | `addToolArgs(StringToStringMap values, ArgumentBuilder builder)`
`protected void` | `addWSDLFields(com.eviware.x.form.XForm mainForm, T modelItem)`
`protected com.eviware.x.form.XForm` | `buildArgsForm(com.eviware.x.form.XFormDialogBuilder builder, boolean addJavaArgs, java.lang.String toolName)`
`protected java.lang.String` | `buildClasspath(java.io.File jarDir)`
`protected ActionList` | `buildDefaultActions(java.lang.String helpUrl, T modelItem)`
`protected com.eviware.x.form.XFormDialog` | `buildDialog(T modelItem)`
`void` | `closeDialog(T modelItem)`
`protected javax.swing.Action` | `createRunOption(T modelItem)`
`protected abstract void` | `generate(StringToStringMap values, ToolHost toolHost, T modelItem)`
`protected java.lang.String` | `getDefinition(T modelItem)`
`T` | `getModelItem()`
`javax.swing.Action` | `getToolsSettingsAction()`
`java.lang.String` | `getValuesSettingID()`
`protected java.lang.String` | `getWsdlUrl(StringToStringMap values, T modelItem)`
`protected StringToStringMap` | `initValues(T modelItem, java.lang.Object param)`
`protected void` | `initWSDL(StringToStringMap values, Interface iface)`
`void` | `onClose(T modelItem)` To be overridden..
`void` | `perform(T target, java.lang.Object param)`
`void` | `run(ToolHost toolHost, T modelItem, java.lang.Object param)`
`void` | `setFixedWSDL(boolean b)` Set this to true to not let the user edit the WSDL.
`void` | `setToolsSettingsAction(javax.swing.Action toolsSettingsAction)`
`void` | `setValuesSettingID(java.lang.String valuesSettingID)`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIAction
`addPropertyChangeListener, addPropertyChangeListener, applies, getDescription, getName, isDefault, isEnabled, removePropertyChangeListener, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL

    protected static final java.lang.String WSDL

See Also:
  Constant Field Values

### CACHED_WSDL

    protected static final java.lang.String CACHED_WSDL

See Also:
  Constant Field Values

### JAVA_ARGS

    protected static final java.lang.String JAVA_ARGS

See Also:
  Constant Field Values

### TOOL_ARGS

    protected static final java.lang.String TOOL_ARGS

See Also:
  Constant Field Values

### dialog

    protected com.eviware.x.form.XFormDialog dialog

### valuesSettingID

    protected java.lang.String valuesSettingID

Constructor Detail

### AbstractToolsAction

    public AbstractToolsAction(java.lang.String name,
                               java.lang.String description)

Method Detail

### getValuesSettingID

    public java.lang.String getValuesSettingID()

### setValuesSettingID

    public void setValuesSettingID(java.lang.String valuesSettingID)

### setFixedWSDL

    public void setFixedWSDL(boolean b)

  Set this to true to not let the user edit the WSDL.

  Parameters:
    `b` -

### getModelItem

    public T getModelItem()

### perform

    public void perform(T target,
                        java.lang.Object param)

### initValues

    protected StringToStringMap initValues(T modelItem,
                                           java.lang.Object param)

### buildDialog

    protected com.eviware.x.form.XFormDialog buildDialog(T modelItem)

### addWSDLFields

    protected void addWSDLFields(com.eviware.x.form.XForm mainForm,
                                 T modelItem)

### initWSDL

    protected void initWSDL(StringToStringMap values,
                            Interface iface)

### generate

    protected abstract void generate(StringToStringMap values,
                                     ToolHost toolHost,
                                     T modelItem)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### run

    public void run(ToolHost toolHost,
                    T modelItem,
                    java.lang.Object param)
             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### onClose

    public void onClose(T modelItem)

  To be overridden..

### getWsdlUrl

    protected java.lang.String getWsdlUrl(StringToStringMap values,
                                          T modelItem)

### buildClasspath

    protected java.lang.String buildClasspath(java.io.File jarDir)

### buildDefaultActions

    protected ActionList buildDefaultActions(java.lang.String helpUrl,
                                             T modelItem)

### getToolsSettingsAction

    public javax.swing.Action getToolsSettingsAction()

### setToolsSettingsAction

    public void setToolsSettingsAction(javax.swing.Action toolsSettingsAction)

### createRunOption

    protected javax.swing.Action createRunOption(T modelItem)

### getDefinition

    protected java.lang.String getDefinition(T modelItem)

### addJavaArgs

    protected void addJavaArgs(StringToStringMap values,
                               ArgumentBuilder builder)

### addToolArgs

    protected void addToolArgs(StringToStringMap values,
                               ArgumentBuilder builder)

### buildArgsForm

    protected com.eviware.x.form.XForm buildArgsForm(com.eviware.x.form.XFormDialogBuilder builder,
                                                     boolean addJavaArgs,
                                                     java.lang.String toolName)

### closeDialog

    public void closeDialog(T modelItem)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.